Skip to main content
PATCH
Update a lead

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
first_name
string | null
last_name
string | null
email
string | null

Valid email address. Surrounding whitespace is removed and letter casing is preserved. Send null or a blank string to clear it.

phone_number
string | null

Valid international or national phone number. National values use the company's configured country and are stored in E.164 format. Send null or a blank string to clear it.

company_name
string | null
source
string
status
enum<string>
Available options:
new,
converted,
rejected
rejected_reason
string | null
direction
enum<string> | null
Available options:
received,
sent

Response

200 - application/json

Default Response

uuid
string
required
first_name
string | null
required
last_name
string | null
required
email
string | null
required
phone_number
string | null
required
company_name
string | null
required
source
string
required
status
enum<string>
required
Available options:
new,
converted,
rejected
rejected_reason
string | null
required
direction
string | null
required
partner
object | null
required
created_by
object | null
required
tags
object[]
required
assigned_users
object[]
required
custom_fields
object[]
required
created_at
string
required
updated_at
string
required